# Class Preferences

Describes the log preferences for a WebDriver session.

#### Hierarchy

- Preferences

#####
Index

### Constructors

constructor

### Properties

prefs_

### Methods

setLevel
toJSON

## Constructors

### constructor

- new Preferences(): Preferences

- #### Returns Preferences

## Properties

### prefs_

prefs_: Map<string, Level>

## Methods

### setLevel

- setLevel(type, level): void

- Sets the desired logging level for a particular log type.

  #### Parameters

  - ##### type: string | IType

    The log type.

  - ##### level: Level

    The desired log level.

  #### Returns void

  #### Throws

  if `type` is not a `string`.

### toJSON

- toJSON(): {
  [key: string]: string;
  }

- Converts this instance to its JSON representation.

  #### Returns {
  [key: string]: string;
  }

  The JSON representation of this set of preferences.

  - ##### [key: string]: string

Generated using TypeDoc